<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__efuse__enumerated__types" kind="group">
    <compoundname>group_efuse_enumerated_types</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__efuse__enumerated__types_1gad6c57e8e4b9500208ff1f6d27f6055b0" kind="enum" prot="public" static="no">
        <name>cy_en_efuse_status_t</name>
        <enumvalue id="group__group__efuse__enumerated__types_1ggad6c57e8e4b9500208ff1f6d27f6055b0a0dcde15a6d117de55a450ab911bcfef3" prot="public">
          <name>CY_EFUSE_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>Success. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__efuse__enumerated__types_1ggad6c57e8e4b9500208ff1f6d27f6055b0af2414df94d160b87b7b5dedeff58472a" prot="public">
          <name>CY_EFUSE_INVALID_PROTECTION</name>
          <initializer>= CY_EFUSE_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>Invalid access in the current protection state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__efuse__enumerated__types_1ggad6c57e8e4b9500208ff1f6d27f6055b0aba76e5a4762395aa3448ed99ef77cd0a" prot="public">
          <name>CY_EFUSE_INVALID_FUSE_ADDR</name>
          <initializer>= CY_EFUSE_ID | CY_PDL_STATUS_ERROR | 0x02UL</initializer>
          <briefdescription>
<para>Invalid eFuse address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__efuse__enumerated__types_1ggad6c57e8e4b9500208ff1f6d27f6055b0a568115accc57066afda6e297b3036b87" prot="public">
          <name>CY_EFUSE_BAD_PARAM</name>
          <initializer>= CY_EFUSE_ID | CY_PDL_STATUS_ERROR | 0x03UL</initializer>
          <briefdescription>
<para>One or more invalid parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__efuse__enumerated__types_1ggad6c57e8e4b9500208ff1f6d27f6055b0accd064505cd2fd71c40eb2f535920a16" prot="public">
          <name>CY_EFUSE_IPC_BUSY</name>
          <initializer>= CY_EFUSE_ID | CY_PDL_STATUS_ERROR | 0x04UL</initializer>
          <briefdescription>
<para>The IPC structure is already locked by another process. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__efuse__enumerated__types_1ggad6c57e8e4b9500208ff1f6d27f6055b0a7f40519e81c80b25cc4dc9dfbbf35cb6" prot="public">
          <name>CY_EFUSE_ERR_UNC</name>
          <initializer>= CY_EFUSE_ID | CY_PDL_STATUS_ERROR | 0xFFUL</initializer>
          <briefdescription>
<para>Unknown error code. </para>          </briefdescription>
          <detaileddescription>
<para>See <ref kindref="member" refid="group__group__efuse__functions_1ga19b1ee83f64f5405681b37266941c3e5">Cy_EFUSE_GetExternalStatus()</ref> </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_efuse_status_t: </bold><linebreak />This enum has the return values of the eFuse driver.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_efuse.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_efuse.h" line="154" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>